Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.TextFlag

    java.lang.Object
      java.lang.Enum<Qt.TextFlag>
          com.trolltech.qt.core.Qt.TextFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.TextFlag>

Enclosing interface:
  Qt

    public static enum Qt.TextFlag

extends java.lang.Enum<Qt.TextFlag>
implements QtEnumerator

This enum type is used to define some modifier flags. Some of these flags only make sense in the context of printing:

Constant | Value | Description
--- | --- | ---
`TextSingleLine` | `256` | Treats all whitespace as spaces and prints just one line.
`TextDontClip` | `512` | If it's impossible to stay within the given bounds, it prints outside.
`TextExpandTabs` | `1024` | Makes the U+0009 (ASCII tab) character move to the next tab stop.
`TextShowMnemonic` | `2048` | Displays the string "&P" as P (see `QButton` for an example). For an ampersand, use "&&".
`TextWordWrap` | `4096` | Breaks lines at appropriate points, e.g. at word boundaries.
`TextWrapAnywhere` | `8192` | Breaks lines anywhere, even within words.
`TextHideMnemonic` | `32768` | Same as Qt::TextShowMnemonic but doesn't draw the underlines.
`TextDontPrint` | `16384` | Treat this text as "hidden" and don't print it.
`TextIncludeTrailingSpaces` | `134217728` | Don't automatically delete trailing whitespace.
`TextJustificationForced` | `65536` | Ensures that text lines are justified.

You can use as many modifier flags as you want, except that Qt::TextSingleLine and Qt::TextWordWrap cannot be combined.

Flags that are inappropriate for a given use are generally ignored.

Enum Constant Summary
`TextDontClip` If it's impossible to stay within the given bounds, it prints outside.
`TextDontPrint` Treat this text as "hidden" and don't print it.
`TextExpandTabs` Makes the U+0009 (ASCII tab) character move to the next tab stop.
`TextHideMnemonic` Same as Qt::TextShowMnemonic but doesn't draw the underlines.
`TextIncludeTrailingSpaces` Don't automatically delete trailing whitespace.
`TextJustificationForced` Ensures that text lines are justified.
`TextShowMnemonic` Displays the string "&P" as P (see `QButton` for an example).
`TextSingleLine` Treats all whitespace as spaces and prints just one line.
`TextWordWrap` Breaks lines at appropriate points, e.g. at word boundaries.
`TextWrapAnywhere` Breaks lines anywhere, even within words.

Method Summary
`static Qt.TextFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.TextFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.TextFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TextSingleLine

    public static final Qt.TextFlag TextSingleLine

  Treats all whitespace as spaces and prints just one line.

### TextDontClip

    public static final Qt.TextFlag TextDontClip

  If it's impossible to stay within the given bounds, it prints outside.

### TextExpandTabs

    public static final Qt.TextFlag TextExpandTabs

  Makes the U+0009 (ASCII tab) character move to the next tab stop.

### TextShowMnemonic

    public static final Qt.TextFlag TextShowMnemonic

  Displays the string "&P" as P (see `QButton` for an example). For an ampersand, use "&&".

### TextWordWrap

    public static final Qt.TextFlag TextWordWrap

  Breaks lines at appropriate points, e.g. at word boundaries.

### TextWrapAnywhere

    public static final Qt.TextFlag TextWrapAnywhere

  Breaks lines anywhere, even within words.

### TextDontPrint

    public static final Qt.TextFlag TextDontPrint

  Treat this text as "hidden" and don't print it.

### TextIncludeTrailingSpaces

    public static final Qt.TextFlag TextIncludeTrailingSpaces

  Don't automatically delete trailing whitespace.

### TextHideMnemonic

    public static final Qt.TextFlag TextHideMnemonic

  Same as Qt::TextShowMnemonic but doesn't draw the underlines.

### TextJustificationForced

    public static final Qt.TextFlag TextJustificationForced

  Ensures that text lines are justified.

Method Detail

### values

    public static final Qt.TextFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.TextFlag c : Qt.TextFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.TextFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.TextFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD